export function HiveSqlVisitor(): this;
export class HiveSqlVisitor {
    constructor: typeof HiveSqlVisitor;
    visitProgram(ctx: any): any;
    visitBlock(ctx: any): any;
    visitBegin_end_block(ctx: any): any;
    visitSingle_block_stmt(ctx: any): any;
    visitBlock_end(ctx: any): any;
    visitProc_block(ctx: any): any;
    visitStmt(ctx: any): any;
    visitSemicolon_stmt(ctx: any): any;
    visitException_block(ctx: any): any;
    visitException_block_item(ctx: any): any;
    visitNull_stmt(ctx: any): any;
    visitExpr_stmt(ctx: any): any;
    visitAssignment_stmt(ctx: any): any;
    visitAssignment_stmt_item(ctx: any): any;
    visitAssignment_stmt_single_item(ctx: any): any;
    visitAssignment_stmt_multiple_item(ctx: any): any;
    visitAssignment_stmt_select_item(ctx: any): any;
    visitAllocate_cursor_stmt(ctx: any): any;
    visitAssociate_locator_stmt(ctx: any): any;
    visitBegin_transaction_stmt(ctx: any): any;
    visitBreak_stmt(ctx: any): any;
    visitCall_stmt(ctx: any): any;
    visitDeclare_stmt(ctx: any): any;
    visitDeclare_block(ctx: any): any;
    visitDeclare_block_inplace(ctx: any): any;
    visitDeclare_stmt_item(ctx: any): any;
    visitDeclare_var_item(ctx: any): any;
    visitDeclare_condition_item(ctx: any): any;
    visitDeclare_cursor_item(ctx: any): any;
    visitCursor_with_return(ctx: any): any;
    visitCursor_without_return(ctx: any): any;
    visitDeclare_handler_item(ctx: any): any;
    visitDeclare_temporary_table_item(ctx: any): any;
    visitCreate_table_stmt(ctx: any): any;
    visitCreate_local_temp_table_stmt(ctx: any): any;
    visitCreate_table_definition(ctx: any): any;
    visitCreate_table_columns(ctx: any): any;
    visitCreate_table_columns_item(ctx: any): any;
    visitColumn_name(ctx: any): any;
    visitCreate_table_column_inline_cons(ctx: any): any;
    visitCreate_table_column_cons(ctx: any): any;
    visitCreate_table_fk_action(ctx: any): any;
    visitCreate_table_preoptions(ctx: any): any;
    visitCreate_table_preoptions_item(ctx: any): any;
    visitCreate_table_preoptions_td_item(ctx: any): any;
    visitCreate_table_options(ctx: any): any;
    visitCreate_table_options_item(ctx: any): any;
    visitCreate_table_options_ora_item(ctx: any): any;
    visitCreate_table_options_db2_item(ctx: any): any;
    visitCreate_table_options_td_item(ctx: any): any;
    visitCreate_table_options_hive_item(ctx: any): any;
    visitCreate_table_hive_row_format(ctx: any): any;
    visitCreate_table_hive_row_format_fields(ctx: any): any;
    visitCreate_table_options_mssql_item(ctx: any): any;
    visitCreate_table_options_mysql_item(ctx: any): any;
    visitAlter_table_stmt(ctx: any): any;
    visitAlter_table_item(ctx: any): any;
    visitAlter_table_add_constraint(ctx: any): any;
    visitAlter_table_add_constraint_item(ctx: any): any;
    visitDtype(ctx: any): any;
    visitDtype_len(ctx: any): any;
    visitDtype_attr(ctx: any): any;
    visitDtype_default(ctx: any): any;
    visitCreate_database_stmt(ctx: any): any;
    visitCreate_database_option(ctx: any): any;
    visitCreate_function_stmt(ctx: any): any;
    visitCreate_function_return(ctx: any): any;
    visitCreate_package_stmt(ctx: any): any;
    visitPackage_spec(ctx: any): any;
    visitPackage_spec_item(ctx: any): any;
    visitCreate_package_body_stmt(ctx: any): any;
    visitPackage_body(ctx: any): any;
    visitPackage_body_item(ctx: any): any;
    visitCreate_procedure_stmt(ctx: any): any;
    visitCreate_routine_params(ctx: any): any;
    visitCreate_routine_param_item(ctx: any): any;
    visitCreate_routine_options(ctx: any): any;
    visitCreate_routine_option(ctx: any): any;
    visitDrop_stmt(ctx: any): any;
    visitEnd_transaction_stmt(ctx: any): any;
    visitExec_stmt(ctx: any): any;
    visitIf_stmt(ctx: any): any;
    visitIf_plsql_stmt(ctx: any): any;
    visitIf_tsql_stmt(ctx: any): any;
    visitIf_bteq_stmt(ctx: any): any;
    visitElseif_block(ctx: any): any;
    visitElse_block(ctx: any): any;
    visitInclude_stmt(ctx: any): any;
    visitInsert_stmt(ctx: any): any;
    visitInsert_stmt_cols(ctx: any): any;
    visitInsert_stmt_rows(ctx: any): any;
    visitInsert_stmt_row(ctx: any): any;
    visitInsert_directory_stmt(ctx: any): any;
    visitExit_stmt(ctx: any): any;
    visitGet_diag_stmt(ctx: any): any;
    visitGet_diag_stmt_item(ctx: any): any;
    visitGet_diag_stmt_exception_item(ctx: any): any;
    visitGet_diag_stmt_rowcount_item(ctx: any): any;
    visitGrant_stmt(ctx: any): any;
    visitGrant_stmt_item(ctx: any): any;
    visitLeave_stmt(ctx: any): any;
    visitMap_object_stmt(ctx: any): any;
    visitOpen_stmt(ctx: any): any;
    visitFetch_stmt(ctx: any): any;
    visitCollect_stats_stmt(ctx: any): any;
    visitCollect_stats_clause(ctx: any): any;
    visitClose_stmt(ctx: any): any;
    visitCmp_stmt(ctx: any): any;
    visitCmp_source(ctx: any): any;
    visitCopy_from_local_stmt(ctx: any): any;
    visitCopy_stmt(ctx: any): any;
    visitCopy_source(ctx: any): any;
    visitCopy_target(ctx: any): any;
    visitCopy_option(ctx: any): any;
    visitCopy_file_option(ctx: any): any;
    visitCommit_stmt(ctx: any): any;
    visitCreate_index_stmt(ctx: any): any;
    visitCreate_index_col(ctx: any): any;
    visitIndex_storage_clause(ctx: any): any;
    visitIndex_mssql_storage_clause(ctx: any): any;
    visitPrint_stmt(ctx: any): any;
    visitQuit_stmt(ctx: any): any;
    visitRaise_stmt(ctx: any): any;
    visitResignal_stmt(ctx: any): any;
    visitReturn_stmt(ctx: any): any;
    visitRollback_stmt(ctx: any): any;
    visitSet_session_option(ctx: any): any;
    visitSet_current_schema_option(ctx: any): any;
    visitSet_mssql_session_option(ctx: any): any;
    visitSet_teradata_session_option(ctx: any): any;
    visitSignal_stmt(ctx: any): any;
    visitSummary_stmt(ctx: any): any;
    visitTruncate_stmt(ctx: any): any;
    visitUse_stmt(ctx: any): any;
    visitValues_into_stmt(ctx: any): any;
    visitWhile_stmt(ctx: any): any;
    visitFor_cursor_stmt(ctx: any): any;
    visitFor_range_stmt(ctx: any): any;
    visitLabel(ctx: any): any;
    visitUsing_clause(ctx: any): any;
    visitSelect_stmt(ctx: any): any;
    visitCte_select_stmt(ctx: any): any;
    visitCte_select_stmt_item(ctx: any): any;
    visitCte_select_cols(ctx: any): any;
    visitFullselect_stmt(ctx: any): any;
    visitFullselect_stmt_item(ctx: any): any;
    visitFullselect_set_clause(ctx: any): any;
    visitSubselect_stmt(ctx: any): any;
    visitSelect_list(ctx: any): any;
    visitSelect_list_set(ctx: any): any;
    visitSelect_list_limit(ctx: any): any;
    visitSelect_list_item(ctx: any): any;
    visitSelect_list_alias(ctx: any): any;
    visitSelect_list_asterisk(ctx: any): any;
    visitInto_clause(ctx: any): any;
    visitFrom_clause(ctx: any): any;
    visitFrom_table_clause(ctx: any): any;
    visitFrom_table_name_clause(ctx: any): any;
    visitFrom_subselect_clause(ctx: any): any;
    visitFrom_join_clause(ctx: any): any;
    visitFrom_join_type_clause(ctx: any): any;
    visitFrom_table_values_clause(ctx: any): any;
    visitFrom_table_values_row(ctx: any): any;
    visitFrom_alias_clause(ctx: any): any;
    visitTable_name(ctx: any): any;
    visitWhere_clause(ctx: any): any;
    visitGroup_by_clause(ctx: any): any;
    visitHaving_clause(ctx: any): any;
    visitQualify_clause(ctx: any): any;
    visitOrder_by_clause(ctx: any): any;
    visitSelect_options(ctx: any): any;
    visitSelect_options_item(ctx: any): any;
    visitUpdate_stmt(ctx: any): any;
    visitUpdate_assignment(ctx: any): any;
    visitUpdate_table(ctx: any): any;
    visitUpdate_upsert(ctx: any): any;
    visitMerge_stmt(ctx: any): any;
    visitMerge_table(ctx: any): any;
    visitMerge_condition(ctx: any): any;
    visitMerge_action(ctx: any): any;
    visitDelete_stmt(ctx: any): any;
    visitDelete_alias(ctx: any): any;
    visitDescribe_stmt(ctx: any): any;
    visitBool_expr(ctx: any): any;
    visitBool_expr_atom(ctx: any): any;
    visitBool_expr_unary(ctx: any): any;
    visitBool_expr_single_in(ctx: any): any;
    visitBool_expr_multi_in(ctx: any): any;
    visitBool_expr_binary(ctx: any): any;
    visitBool_expr_logical_operator(ctx: any): any;
    visitBool_expr_binary_operator(ctx: any): any;
    visitExpr(ctx: any): any;
    visitExpr_atom(ctx: any): any;
    visitExpr_interval(ctx: any): any;
    visitInterval_item(ctx: any): any;
    visitExpr_concat(ctx: any): any;
    visitExpr_concat_item(ctx: any): any;
    visitExpr_case(ctx: any): any;
    visitExpr_case_simple(ctx: any): any;
    visitExpr_case_searched(ctx: any): any;
    visitExpr_cursor_attribute(ctx: any): any;
    visitExpr_agg_window_func(ctx: any): any;
    visitExpr_func_all_distinct(ctx: any): any;
    visitExpr_func_over_clause(ctx: any): any;
    visitExpr_func_partition_by_clause(ctx: any): any;
    visitExpr_spec_func(ctx: any): any;
    visitExpr_func(ctx: any): any;
    visitExpr_func_params(ctx: any): any;
    visitFunc_param(ctx: any): any;
    visitExpr_select(ctx: any): any;
    visitExpr_file(ctx: any): any;
    visitHive(ctx: any): any;
    visitHive_item(ctx: any): any;
    visitHost(ctx: any): any;
    visitHost_cmd(ctx: any): any;
    visitHost_stmt(ctx: any): any;
    visitFile_name(ctx: any): any;
    visitDate_literal(ctx: any): any;
    visitTimestamp_literal(ctx: any): any;
    visitIdent(ctx: any): any;
    visitSingle_quotedString(ctx: any): any;
    visitDouble_quotedString(ctx: any): any;
    visitInt_number(ctx: any): any;
    visitDec_number(ctx: any): any;
    visitBool_literal(ctx: any): any;
    visitNull_const(ctx: any): any;
    visitNon_reserved_words(ctx: any): any;
}
